Package org.italiangrid.voms.request

# Interface VOMSRequestListener

All Known Implementing Classes:
  `NullListener`

public interface VOMSRequestListener
A listener that informs about events related with a request to a VOMS server.

Author:
  andreaceccanti

## Method Summary

Modifier and Type
Method
Description
`void`
`notifyErrorsInVOMSReponse(VOMSACRequest request, VOMSServerInfo si, VOMSErrorMessage[] errors)`
Informs that errors were included in the VOMS response produced by a VOMS server
`void`
`notifyVOMSRequestFailure(VOMSACRequest request, VOMSServerInfo endpoint, Throwable error)`
Informs of a VOMS request failure
`void`
`notifyVOMSRequestStart(VOMSACRequest request, VOMSServerInfo si)`
Informs of the start of a request to a VOMS server
`void`
`notifyVOMSRequestSuccess(VOMSACRequest request, VOMSServerInfo endpoint)`
Informs of the succesfull conclusion of a request to a VOMS server
`void`
`notifyWarningsInVOMSResponse(VOMSACRequest request, VOMSServerInfo si, VOMSWarningMessage[] warnings)`
Informs that warnings were included in the VOMS response produced by a VOMS server

## Method Details

### notifyVOMSRequestStart

void notifyVOMSRequestStart(VOMSACRequest request, VOMSServerInfo si)
Informs of the start of a request to a VOMS server

Parameters:
  `request` - the request
  `si` - the VOMS server endpoint information

### notifyVOMSRequestSuccess

void notifyVOMSRequestSuccess(VOMSACRequest request, VOMSServerInfo endpoint)
Informs of the succesfull conclusion of a request to a VOMS server

Parameters:
  `request` - the request
  `endpoint` - the VOMS server endpoint information

### notifyVOMSRequestFailure

void notifyVOMSRequestFailure(VOMSACRequest request, VOMSServerInfo endpoint, Throwable error)
Informs of a VOMS request failure

Parameters:
  `request` - the request
  `endpoint` - the VOMS server endpoint information
  `error` - the error related with the failure

### notifyErrorsInVOMSReponse

void notifyErrorsInVOMSReponse(VOMSACRequest request, VOMSServerInfo si, VOMSErrorMessage[] errors)
Informs that errors were included in the VOMS response produced by a VOMS server

Parameters:
  `request` - the request related to the received response
  `si` - the VOMS server endpoint information
  `errors` - the error messages included in the response

### notifyWarningsInVOMSResponse

void notifyWarningsInVOMSResponse(VOMSACRequest request, VOMSServerInfo si, VOMSWarningMessage[] warnings)
Informs that warnings were included in the VOMS response produced by a VOMS server

Parameters:
  `request` - the request related to the received response
  `si` - the VOMS server endpoint information
  `warnings` - the warning messages included in the response